Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.poifs.storage
Interface BlockWritable

All Known Implementing Classes:
  org.apache.poi.poifs.storage.BigBlock, BlockAllocationTableWriter, POIFSDocument, PropertyTable, SmallBlockTableWriter, SmallDocumentBlock

public interface BlockWritable

An interface for persisting block storage of POIFS components.

Author:
  Marc Johnson (mjohnson at apache dot org)

Method Summary
`void` | `writeBlocks(java.io.OutputStream stream)` Write the storage to an OutputStream

Method Detail

### writeBlocks

    public void writeBlocks(java.io.OutputStream stream)
                     throws java.io.IOException

  Write the storage to an OutputStream

  Parameters:
    `stream` - the OutputStream to which the stored data should be written
  Throws:
    `java.io.IOException` - on problems writing to the specified stream

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Software Foundation.